%{?nodejs_find_provides_and_requires}

Name:           nodejs-is-symbol
Version:        1.0.1
Release:        2%{?dist}
Summary:        Determine if a value is an ES6 Symbol or not

License:        MIT
URL:            https://github.com/ljharb/is-symbol
Source0:        https://registry.npmjs.org/is-symbol/-/is-symbol-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(tape)


%description
%{summary}.


%prep
%setup -q -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/is-symbol
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/is-symbol
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} --es-staging --harmony test/index.js


%files
%{!?_licensedir:%global license %doc}
%doc README.md CHANGELOG.md
%license LICENSE
%{nodejs_sitelib}/is-symbol


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Oct 22 2015 Tom Hughes <tom@compton.nu> - 1.0.1-1
- Initial build of 1.0.1
